> ## Documentation Index
> Fetch the complete documentation index at: https://docs.droxy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Raw Text Resource

> Create a resource with raw text.



## OpenAPI

````yaml /api-reference/v1.json post /v1/resource/text
openapi: 3.0.0
info:
  title: Droxy API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.droxy.ai
security: []
tags: []
paths:
  /v1/resource/text:
    post:
      tags:
        - Resource
      summary: Create Raw Text Resource
      description: Create a resource with raw text.
      operationId: ApiResourceController_createTextResource
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiCreateRawTextResourceDto'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResourceDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '402':
          description: Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '429':
          description: Too many requests - Rate limit of 10 requests per minute exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ApiCreateRawTextResourceDto:
      type: object
      properties:
        name:
          type: string
          description: The title of the raw text resource.
        content:
          type: string
          description: >-
            The content of the raw text resource. Must be between 10 and
            10,000,000,000 characters.
        tags:
          description: Tags to assign.
          type: array
          items:
            type: string
      required:
        - name
        - content
    ApiResourceDto:
      type: object
      properties:
        id:
          type: string
          description: The resource's id.
        organisation:
          type: string
          description: The organisation id of the resource.
        creator:
          type: string
          description: The user id of the creator.
          deprecated: true
        fileName:
          type: string
          description: The name of the resource.
        type:
          type: string
          description: >-
            The type of the resource. Values can be VIDEO | PDF | TEXT | YOUTUBE
            | WEB | GOOGLE_DRIVE.
        createdAt:
          type: number
          description: The created date of the resource. Unix timestamp in milliseconds.
        aiProcessingStatus:
          type: string
          description: >-
            The status of the AI processing of the resource. Values can be
            NOT_STARTED | IN_PROGRESS | DONE | FAILED_NO_TEXT_FOUND | FAILED.
        youtubeVideoId:
          type: number
          description: YouTube video id. Defined only of the resource type is YOUTUBE.
        googleDriveResourceFile:
          description: >-
            Google Drive resource object. Defined only of the resource type is
            GOOGLE_DRIVE.
          allOf:
            - $ref: '#/components/schemas/GoogleDriveResourceFile'
        website:
          description: Website data. Defined only of the resource type is WEB.
          allOf:
            - $ref: '#/components/schemas/ApiWebsiteDto'
        videoLength:
          type: number
          description: Video length in seconds. Defined only of the resource type is VIDEO.
        fileSize:
          type: number
          description: >-
            File length in bytes. Defined only of the resource type is PDF or
            VIDEO.
        syncFrequencyMs:
          type: number
          description: Synchronization frequency in milliseconds.
        lastSync:
          type: number
          description: Last synchronization date. Unix timestamp in milliseconds.
        tags:
          description: Tags assigned.
          type: array
          items:
            type: string
      required:
        - id
        - organisation
        - creator
        - fileName
        - type
        - createdAt
        - aiProcessingStatus
        - tags
    ApiErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: Error status code.
        message:
          description: Error message or an array of error messages.
          type: array
          items:
            type: string
        error:
          type: string
          description: Source of the error.
      required:
        - statusCode
        - message
        - error
    GoogleDriveResourceFile:
      type: object
      properties:
        googleDriveAccountId:
          type: string
          description: Google Drive account id.
        fileId:
          type: string
          description: File id.
        fileName:
          type: string
          description: File name.
        mimeType:
          type: string
          description: >-
            MIME type of the file. Values can be application/pdf |
            application/vnd.google-apps.document |
            application/vnd.google-apps.folder |
            application/vnd.google-apps.presentation.
        webViewLink:
          type: string
          description: Webview link of the file.
        recursive:
          type: string
          description: Specifies whether the file is a folder.
      required:
        - googleDriveAccountId
        - fileId
        - fileName
        - mimeType
        - webViewLink
        - recursive
    ApiWebsiteDto:
      type: object
      properties:
        url:
          type: string
          description: The website URL.
        subLinks:
          description: An array of sub-URLs to include under the website URL.
          type: array
          items:
            type: string
      required:
        - url
        - subLinks
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````